harfbuzz (12.3.2-2) unstable; urgency=medium

  * fix-man-whatis.patch: use sh -c around help2man to do shell expansion

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 18 Feb 2026 23:37:46 +0100

harfbuzz (12.3.2-1) unstable; urgency=medium

  * New upstream release

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 29 Jan 2026 19:20:40 +0100

harfbuzz (12.3.1-1) unstable; urgency=medium

  * New upstream release
  * Dropped fix-CVE-2026-22693.patch, applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 24 Jan 2026 19:14:23 +0100

harfbuzz (12.3.0-4) unstable; urgency=medium

  * Update copyright years
  * Add fix-CVE-2026-22693.patch to fix CVE-2026-22693 (Closes: #1125189)
  * d/control: Drop redundant Priority: optional

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 10 Jan 2026 20:27:23 +0100

harfbuzz (12.3.0-3) unstable; urgency=medium

  * d/control: drop dh-sequence-movetousr from build-deps (again!)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 07 Jan 2026 01:34:42 +0100

harfbuzz (12.3.0-2) unstable; urgency=medium

  * d/libharfbuzz0-udeb.install: install in /usr/lib (Closes: #1124592)
  * Remove d/libharfbuzz-gobject0.lintian-overrides, as it overrides an
    obsolete tag

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 07 Jan 2026 01:32:10 +0100

harfbuzz (12.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    + bump standards version to 4.7.3
    + d/control: add dh-sequence-movetousr to build-deps again
      (Closes: #1124592)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 03 Jan 2026 16:17:33 +0100

harfbuzz (12.2.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: drop dh-sequence-movetousr from build-deps (Closes: #1122764)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 12 Dec 2025 17:49:44 +0100

harfbuzz (12.1.0-1) unstable; urgency=medium

  * New upstream release
  * Drop redundant Rules-Requires-Root field
  * d/libharfbuzz0b.symbols: update symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 01 Oct 2025 16:54:22 +0200

harfbuzz (11.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/libharfbuzz-gobject0.lintian-overrides: add wildcards for arch & lib
    version
  * d/control: update build-dep: libgirepository1.0-dev =>
    gobject-introspection (>= 1.80)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 17 Sep 2025 16:13:26 +0200

harfbuzz (11.4.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1112316)
  * d/control:
    + add dh-sequence-movetousr to build-deps
    + add help2man to build deps
    + update standards version to 4.7.2
  * d/libharfbuzz-bin.install: install utilties' man pages
  * d/libharfbuzz0b.symbols: update symbols
  * d/copyright: remove obsolete files
  * Add d/libharfbuzz-bin.lintian-overrides
  * Add d/libharfbuzz-gobject0.lintian-overrides
  * Add fix-man-whatis.patch to create man pages with useful whatis entry

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 02 Sep 2025 16:48:20 +0200

harfbuzz (10.2.0-1) unstable; urgency=medium

  * New upstream version 10.2.0
  * d/libharfbuzz-subset0.symbols: Update symbols
  * Dropped cairo-Guard-hb_cairo_glyphs_from_buffer-against-bad-UTF-8.patch,
    applied upstream
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 14 Jan 2025 22:20:38 +0100

harfbuzz (10.1.0-2) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: Heap-based buffer overflow (Closes: #1091529)
    - Cherry-pick upstream fix for the hb_cairo_glyphs_from_buffer function
    - CVE-2024-56732
  * debian/upstream/metadata: Add security contact

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Dec 2024 12:53:25 -0500

harfbuzz (10.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.1.0
  * debian/libharfbuzz0b.symbols: Add new symbols
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 23:20:19 -0500

harfbuzz (10.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 10.0.1
  * debian/libharfbuzz0b.symbols: Add new symbols
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 14:26:03 -0400

harfbuzz (9.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 9.0.0
  * debian/*.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 11:51:31 -0400

harfbuzz (8.3.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Jan 2024 10:33:21 -0500

harfbuzz (8.3.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 8.3.0 (Closes: #1057964)
  * debian/libharfbuzz0b.symbols: Add new symbols
  * Add ${gir:Depends}, ${gir:Provides} to -dev package (Closes: #1061082)
  * d/control: Build-depend on GIR XML that is explicitly included

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 21:14:42 -0500

harfbuzz (8.0.1-1) unstable; urgency=medium

  * New upstream version 8.0.1
  * Drop subset-Fix-cast-align-issue.patch, applied upstream
  * Update copyright holders

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 12 Jul 2023 22:45:57 +0200

harfbuzz (8.0.0-3) unstable; urgency=medium

  * Add subset-Fix-cast-align-issue.patch to fix cast-align issue.
    Fixes build on 32-bit ARM archs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 12 Jul 2023 05:27:57 +0200

harfbuzz (8.0.0-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete Files-Excluded.
    As was pointed out in the below commit, the 2 files
    are no longer provided in the latest releases of HarfBuzz
    Revert "Fill in d/copyright, and also bump version string w/ +dfsg"
    This partially reverts commit 040799cd82759f57a0cfcbf40e4cc7a1d77a5a0a.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Drop invalid-language-zero.patch as it resulted in an API change causing
    other (C++) packages to FTBFS (Closes: #1040872)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 12 Jul 2023 02:47:25 +0200

harfbuzz (8.0.0-1) unstable; urgency=medium

  * New upstream version 8.0.0
    - Fixes FTBFS with GCC-13 (Closes: #1037687)
    - Includes fix for CVE-2023-25193 (Closes: #1030612)
    - Pass libharfbuzz as positional parameter for GIR generation
      (Closes: #1039498)
  * Update copyright years
  * Drop fix-tests.patch, applied upstream
  * Add libharfbuzz-cairo0 package
  * Update symbols' files
  * Add invalid-language-zero.patch to remove typecast from
    HB_LANGUAGE_INVALID definition.
    Thanks to James Addison <jay@jp-hosting.net> (Closes: #1035669)
  * d/libharfbuzz0b.symbols: update symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 10 Jul 2023 04:00:02 +0200

harfbuzz (6.0.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Feb 2023 16:47:11 -0500

harfbuzz (6.0.0+dfsg-2) experimental; urgency=medium

  * Team upload

  * Add a libharfbuzz-subset0 package (closes: #988781).

 -- Andres Salomon <dilinger@debian.org>  Mon, 30 Jan 2023 12:28:44 -0500

harfbuzz (6.0.0+dfsg-1) unstable; urgency=medium

  [ Andres Salomon ]
  * Use Files-Excluded to exclude non-free test fonts
    and generate a new tarball
  * Update debian/copyright for numerous font licenses and copyright holders

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 30 Jan 2023 11:44:28 -0500

harfbuzz (6.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 28 Dec 2022 07:34:07 -0900

harfbuzz (5.3.1-2) unstable; urgency=medium

  * Cherry-pick patch to fix build test when built with LTO

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 08:20:37 -0500

harfbuzz (5.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/libharfbuzz0b.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 08:55:50 -0500

harfbuzz (5.2.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 06:28:46 -0400

harfbuzz (5.2.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 17 Sep 2022 09:13:45 -0400

harfbuzz (5.1.0-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release (Closes: #1010435)
    - Includes fix for CVE-2022-33068 (Closes: #1013673)
  * Build with meson
  * Build-Depend on dh-sequence-gir
  * Build-Depend on libchafa-dev
  * debian/*.symbols: Add new symbols
  * debian/libharfbuzz0b.docs: TODO is no longer provided
  * Add debian/gbp.conf
  * Enable all hardening flags
  * Bump Standards-Version to 4.6.1

  [ Laurent Bigonville ]
  * debian/control.in: Switch dependencies from libfreetype6-dev to
    libfreetype-dev

  [ Simon McVittie ]
  * Update upstream metadata to point to repository on Github

  [ Steve Langasek ]
  * debian/tests/build: Make cross-test-friendly

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 17:14:37 -0400

harfbuzz (2.7.4-1) unstable; urgency=medium

  * New upstream version.
  * Update symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 18 Jan 2021 16:43:29 +0100

harfbuzz (2.6.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 2.6.7
  * Dropped py3.diff patch, applied upstream
  * Update symbols
  * Bumped compat level to 13
  * Add libfreetype2-dev to deps of libharfbuzz-dev

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 15:28:02 +0200

harfbuzz (2.6.4-1) unstable; urgency=medium

  * Imported Upstream version 2.6.4
  * Add Rules-Requires-Root: no
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 03 Nov 2019 03:37:28 +0100

harfbuzz (2.6.2-1) unstable; urgency=medium

  * Imstall cmake file in libharfbuzz-dev
  * Revert "Add separate dh_makeshlibs call for the udeb"
    This reverts commit a4bbcc06c858fb5f1e07dca96fc2eee32819036d.
  * Add d/not-installed to list deliberately non-installed files
  * Imported Upstream version 2.6.2
  * Update standards version to 4.4.1

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 03 Oct 2019 06:06:33 +0200

harfbuzz (2.6.1-3) unstable; urgency=medium

  * Added py3.diff patch to change shebang of python scripts to python3
  * Added python3:any to build deps (Closes: #939938)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Sep 2019 05:59:47 +0200

harfbuzz (2.6.1-2) unstable; urgency=medium

  * Add separate dh_makeshlibs call for the udeb

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 27 Aug 2019 05:42:57 +0200

harfbuzz (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * Tag build autopkgtest as superficial

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 26 Aug 2019 02:52:15 +0200

harfbuzz (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Update symbols' files

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 16 Aug 2019 04:06:52 +0200

harfbuzz (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
  * d/watch: add xz & gz extensions
  * Update standards version to 4.4.0
  * Update symbols
  * Remove doc-base file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 19 Jul 2019 04:59:10 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libharfbuzz0b`.
